curl --request GET \
--url https://your-environment.cloud.veda.net/api/v1/interviewsimport requests
url = "https://your-environment.cloud.veda.net/api/v1/interviews"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://your-environment.cloud.veda.net/api/v1/interviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://your-environment.cloud.veda.net/api/v1/interviews",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-environment.cloud.veda.net/api/v1/interviews"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://your-environment.cloud.veda.net/api/v1/interviews")
.asString();require 'uri'
require 'net/http'
url = URI("https://your-environment.cloud.veda.net/api/v1/interviews")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"content": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"templateLabel": "<string>",
"templateDescription": "<string>",
"templateTypeLabel": "<string>",
"hostPersonId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"partnerPersonId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"delegatePersonId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "OPEN",
"hostProgress": 123,
"partnerProgress": 123,
"scheduledFor": "2023-11-07T05:31:56Z",
"scheduledForEnd": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"closureDate": "2023-12-25",
"hostRating": 123,
"partnerRating": 123,
"hostRatingComment": "<string>",
"partnerRatingComment": "<string>",
"finishedByHost": true,
"finishedByPartner": true,
"doneByHost": true,
"doneByPartner": true,
"cancelDate": "2023-12-25",
"cancelPersonId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cancelComment": "<string>",
"categories": [
{
"index": 123,
"label": "<string>",
"topics": [
{
"index": 123,
"heading": "<string>",
"subtitle": "<string>",
"description": "<string>",
"items": [
{
"index": 123,
"question": "<string>",
"hostAnswer": "<unknown>",
"partnerAnswer": "<unknown>",
"goals": [
{
"title": "<string>",
"description": "<string>",
"date": "2023-12-25",
"employeePersonId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"managerPersonId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"initialValue": 123,
"targetValue": 123,
"currentValue": 123,
"unit": "<string>",
"editReason": "<string>"
}
],
"userAddedInputs": [
{
"index": 123,
"hostValue": "<unknown>",
"partnerValue": "<unknown>"
}
]
}
]
}
]
}
],
"readerIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
],
"page": {
"size": 123,
"number": 123,
"totalElements": 123,
"totalPages": 123
}
}Interviews
curl --request GET \
--url https://your-environment.cloud.veda.net/api/v1/interviewsimport requests
url = "https://your-environment.cloud.veda.net/api/v1/interviews"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://your-environment.cloud.veda.net/api/v1/interviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://your-environment.cloud.veda.net/api/v1/interviews",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-environment.cloud.veda.net/api/v1/interviews"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://your-environment.cloud.veda.net/api/v1/interviews")
.asString();require 'uri'
require 'net/http'
url = URI("https://your-environment.cloud.veda.net/api/v1/interviews")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"content": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"templateLabel": "<string>",
"templateDescription": "<string>",
"templateTypeLabel": "<string>",
"hostPersonId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"partnerPersonId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"delegatePersonId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "OPEN",
"hostProgress": 123,
"partnerProgress": 123,
"scheduledFor": "2023-11-07T05:31:56Z",
"scheduledForEnd": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"closureDate": "2023-12-25",
"hostRating": 123,
"partnerRating": 123,
"hostRatingComment": "<string>",
"partnerRatingComment": "<string>",
"finishedByHost": true,
"finishedByPartner": true,
"doneByHost": true,
"doneByPartner": true,
"cancelDate": "2023-12-25",
"cancelPersonId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cancelComment": "<string>",
"categories": [
{
"index": 123,
"label": "<string>",
"topics": [
{
"index": 123,
"heading": "<string>",
"subtitle": "<string>",
"description": "<string>",
"items": [
{
"index": 123,
"question": "<string>",
"hostAnswer": "<unknown>",
"partnerAnswer": "<unknown>",
"goals": [
{
"title": "<string>",
"description": "<string>",
"date": "2023-12-25",
"employeePersonId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"managerPersonId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"initialValue": 123,
"targetValue": 123,
"currentValue": 123,
"unit": "<string>",
"editReason": "<string>"
}
],
"userAddedInputs": [
{
"index": 123,
"hostValue": "<unknown>",
"partnerValue": "<unknown>"
}
]
}
]
}
]
}
],
"readerIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
],
"page": {
"size": 123,
"number": 123,
"totalElements": 123,
"totalPages": 123
}
}Query Parameters
Return only interviews whose ID is included in this list.
Return only interviews that belong to one of the specified interview sessions.
Return interviews in which any of the specified persons participates. Use roles to limit the match to specific interview roles.
Restrict personIds matching to the specified roles. If omitted, all roles are considered.
HOST, PARTNER, DELEGATE Return only interviews whose status is included in this list.
OPEN, FINISHED, CANCELLED Return interviews scheduled on or after this date (inclusive).
Return interviews scheduled on or before this date (inclusive).
Return interviews closed on or after this date (inclusive).
Return interviews closed on or before this date (inclusive).
Zero-based page index (0..N)
x >= 0The size of the page to be returned
x >= 1Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.
Was this page helpful?